Page MenuHomePhabricator

Wikimedia needs a URL shortener (tracking)
Closed, ResolvedPublic

Subscribers
Tokens
"Like" token, awarded by Lofhi."Like" token, awarded by matej_suchanek."Party Time" token, awarded by Chicocvenancio."Love" token, awarded by IKhitron."Like" token, awarded by iecetcwcpggwqpgciazwvzpfjpwomjxn."Love" token, awarded by Jseddon."Love" token, awarded by EdErhart-WMF."Love" token, awarded by mpopov."Love" token, awarded by RHo."Love" token, awarded by mcruzWMF."Like" token, awarded by TJones."Love" token, awarded by jrbs."Love" token, awarded by ggellerman."Love" token, awarded by cmadeo."Like" token, awarded by Liuxinyu970226."Like" token, awarded by Dalba."Love" token, awarded by Ladsgroup."Like" token, awarded by leila."Like" token, awarded by Varnent."Like" token, awarded by Smalyshev."Love" token, awarded by Luke081515."Like" token, awarded by MGChecker."Like" token, awarded by He7d3r.
Assigned To
Authored By
kaldari, Nov 13 2012

Description

I tried to find an existing bug for this, but surprisingly, I wasn't able to find one. We need this especially for Notifications/Echo.

Currently there is Extension:ShortUrl, but the URLs generated by this aren't much shorter than the existing URLs.

We also can't use most 3rd party services due to privacy concerns.

The main thing we need is a short domain name. This would most likely have to be donated or granted to us, as short domain names are not cheap.


See Also:

Details

Reference
bz42085

Related Objects

StatusAssignedTask
ResolvedLadsgroup
DeclinedNemo_bis
Declined yuvipanda
OpenNone
Declined yuvipanda
ResolvedBBlack
ResolvedLadsgroup
Resolvedmatmarex
Resolvedmatmarex
ResolvedLegoktm
Resolvedmatmarex
DuplicateNone
Resolvedori
ResolvedBBlack
ResolvedBBlack
Resolved dpatrick
ResolvedPrtksxna
ResolvedLegoktm
ResolvedLegoktm
ResolvedArielGlenn
ResolvedJoe
ResolvedBBlack
ResolvedSmalyshev
ResolvedLadsgroup
ResolvedMarostegui
ResolvedLegoktm
ResolvedPrtksxna
ResolvedLadsgroup
DeclinedNone
DuplicateNone
ResolvedEsanders

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
greg added a subscriber: greg.Nov 16 2017, 5:45 AM

Hello there,
Is there any update on this topic?
For the Wikidata Query Service, we would really need a proper URL shortener hosted by Wikimedia. Currently we use tinyurl, which is blocked on Wikipedias and other projects because spam possibility. So people who want to link to a query on their project can't, and we got a lot of complains. We need to find a way to solve this.
Thanks :)

@EdErhart-WMF: See the checklist at T108557.

Does the checklist mean this is stuck on you? :)

At Wiki Loves Monuments we can really benefit from having this URL shortner. We'v had a lot of trouble with photos whose link has non-standard English characters in them. This would make out lives much easier.

jrbs awarded a token.Apr 6 2018, 10:21 PM
mcruzWMF added a subscriber: mcruzWMF.

We could really use use cases for academic posters, so we can point people to wiki pages in a simpler way.
Slides and presentation are another use case.

RHo awarded a token.Apr 11 2018, 2:11 PM
RHo added a subscriber: RHo.
Ainali added a subscriber: Ainali.Apr 14 2018, 7:42 AM
Alhen added a subscriber: Alhen.Jun 14 2018, 10:58 AM

I was hoping we'd gotten around to solve this. I'd love to have a shortener that shares are vision about privacy, better if it's our own.

Teles added a subscriber: Teles.Jun 14 2018, 11:26 AM
Dzahn added a comment.Jun 14 2018, 5:59 PM

Ticket is over 5 years old and has the most "love tokens" i have ever seen on any ticket. Yet it is _still_ blocked by T108557 and _that_ is blocked by T191592 and "Request (and respond to) a product review, if applicable" (no ticket for that?). Can we raise priority somewhere?

KaMan added a subscriber: KaMan.Aug 8 2018, 10:04 AM

Hey @Legoktm, @kaldari - I'm hoping that there might be a status update on this?

How about https://meta.wikimedia.org/wiki/2018_Community_Wishlist_Survey ? - Would someone help me with that?

In the short term, I would at least wish for a "private" area. Here you could at least upload your "digital heritage". Everything else could be settled sometime later.

@Molgreen nominations for the wishlist survey are still open for two more days. :-) https://meta.wikimedia.org/wiki/Community_Wishlist_Survey_2019

I have adapted my proposal so that the chances of realization may be higher . . . :-)

@EdErhart-WMF: Thank you for your nudge

matej_suchanek removed a project: Patch-For-Review.
matej_suchanek removed a subscriber: wikibugs-l-list.

Update: the URL Shortener will be deployed on Meta on April 11th :)
The user documentation is now online: https://meta.wikimedia.org/wiki/Wikimedia_URL_Shortener Please help us translating it in the languages that you speak!
The announcement will follow today. I'll send it to the biggest wikis as well as some mailing lists, feel free to help me spreading it in the communities where you're active.
A big, big thanks to everyone who helped this feature finally getting live!

Brilliant idea! Thanks a lot. Could you, please, add a Special:Interwiki "ww" wikilink prefix ([[ww:3]] -> https://w.wiki/3)?

Sounds very cool, thanks!

I see there's an API to create a new shortened URL, but is there an API to resolve a short URL to its target?

Thanks again!

Heads-up that there are already some questions and requests on https://meta.wikimedia.org/wiki/Talk:Wikimedia_URL_Shortener

B20180 added a subscriber: B20180.Apr 3 2019, 2:47 PM
Mehman97 removed a subscriber: Mehman97.
Mehman97 added a subscriber: Mehman97.
Lofhi awarded a token.Apr 3 2019, 7:06 PM
greg removed a subscriber: greg.Apr 3 2019, 10:06 PM
Jony added a subscriber: Jony.Apr 6 2019, 4:58 AM
MJL added a subscriber: MJL.Apr 7 2019, 3:34 AM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 11 2019, 2:19 PM

Yay!!!
Many thanks to everyone involved in bringing this feature live, and thanks in advance to the people who will maintain and improve it <3

@Ladsgroup - Any plan to deploy on all wikis? Maybe a link in the sidebar - Shorten URL / Shorten this URL.

For now, the service is enabled on Meta only, because of the rate limit. However, linking from you wiki to the Meta page is possible and can already be done by the community (probably the interface admins)

For now, the service is enabled on Meta only, because of the rate limit. However, linking from you wiki to the Meta page is possible and can already be done by the community (probably the interface admins)

Thanks!

Nirmos added a subscriber: Nirmos.Apr 16 2019, 7:48 PM
Niklitov reopened this task as Open.Apr 21 2019, 3:38 PM
Niklitov added a subscriber: Niklitov.

Hi! Please add w.wiki/wmru and URL Shortener for ru.wikimedia.org. Thanks!

Ladsgroup closed this task as Resolved.Apr 21 2019, 5:18 PM

Hi! Please add w.wiki/wmru and URL Shortener for ru.wikimedia.org. Thanks!

Hey,

  • Please make another ticket for this. Each ticket should focus on one issue and this issue (deploying a url shortener in production) is resolved
  • Your request is unfortunately impossible due to design of the system. You can't assign any custom url (they go up incrementally so you can guess what will be assigned next but you need to wait for the right time)
MJL removed a subscriber: MJL.Apr 21 2019, 5:34 PM
Jklamo added a subscriber: Jklamo.May 14 2019, 4:48 PM

Any reason to not include *.wmflabs.org to whitelisted domains? In my humble opinion shortening of addresses of tools may be useful.

Can I use the new feature in Wikipedia or Wikimedia Commons? If yes how?

Can I use the new feature in Wikipedia or Wikimedia Commons? If yes how?

See a previous comment in this thread: https://meta.wikimedia.org/wiki/Wikimedia_URL_Shortener

Many Thanks!

Really great, I waited a long time !!!

Two questions:

• How stable are the Shortener links likely to be?
• Could a field be provided in the description (of commons files)?